%
% Copyright (c) 2015, Yarpiz (www.yarpiz.com)
% All rights reserved. Please read the "license.txt" for license terms.
%
% Project Code: YPAP114
% Project Title: Data Envelopment Analysis (DEA) in MATLAB
% Publisher: Yarpiz (www.yarpiz.com)
% 
% Developer: S. Mostapha Kalami Heris (Member of Yarpiz Team)
% 
% Contact Info: sm.kalami@gmail.com, info@yarpiz.com
%

clc;
clear;
close all;

%% Load Data

% Inputs
x = [ 20  19  25  27  22  55  33  31  30  50  53  38
     151 131 160 168 158 255 235 206 244 268 306 284];
% Outputs
y = [100 150 160 180 94 230 220 152 190 250 260 250
      90  50  55  72 66  90  88  80 100 100 147 120];

%% Calc Efficiency for All DMUs
  
E1 = GetCCREfficiency(x, y);

E2 = GetIOBCCEfficiency(x, y);

E3 = GetOOBCCEfficiency(x, y);

E4 = GetAdditiveEfficiency(x, y);

E = [E1 E2 E3 E4];

Emin = min(E,[],2);
Emax = max(E,[],2);

%% Plot Results

figure;
bar(E);
colormap(jet);
title('Data Evnelopment Analysis (DEA)');
xlabel('DMU Index');
ylabel('Efficiency');
legend('CCR','Input-Oriented BCC','Outpu-Oriented BCC','Additive');
legend('Location','NorthEastOutside');
ylim([0 1.1]);
grid on;
